View Issue Details

IDProjectCategoryView StatusLast Update
0000811CaseTalk ModelerInstallationpublic2016-04-27 11:42
ReporterBCP Software 
Assigned ToBCP Software 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version8.8.1Fixed in Version8.8.1 
Summary0000811: Support portable app behaviour
DescriptionThe CaseTalk Modeler requires a automated installation. It would be nice for some computers to have it able to run as a portable app. Or at least behave as such.
Additional InformationSimply unzipping a file, and running the exe from there. The software generated files should than be saved (or created) in a subfolder of the exe itself. Examples of possible folders, and how to force portable modus:

{app}\casetalk.exe
{userappdata}\settings.sdb

or

{app}\casetalk.exe
{app}\casetalk8\settings.sdb

or

.\casetalk.exe /portable
.\casetalk8\settings.sdb
TagsNo tags attached.

Relationships

Activities

BCP Software

BCP Software

2015-12-04 21:18

administrator   ~0000486

A commandline parameter "/portable" will be supported also to force this behaviour in case of need.
BCP Software

BCP Software

2016-04-27 11:27

administrator   ~0000556

Last edited: 2016-04-27 11:38

View 3 revisions

Note:

Portable mode is activated when CaseTalk is located in a subfolder called "{app}" or when the commandline contains "/portable".

If a sibling folder for userdata exists "../{userappdata}" and the folder is writable, all configuration files will be written there. If neither is the case, CaseTalk will save all configuration files into the user roaming profile folder "/users/<name>/app data/roaming/casetalk8/".

BCP Software

BCP Software

2016-04-27 11:42

administrator   ~0000557

Note:

You are able to run the casetalk.exe without the need of being portable. This allows you to run CaseTalk from a fileshare and have the configuration files in you user roaming profile. There's no need to activate the "portable" mode. This portable mode is specifically needed to run CaseTalk from a memory stick and have all configuration files on that as well.

Issue History

Date Modified Username Field Change
2015-12-02 13:16 BCP Software New Issue
2015-12-02 13:16 BCP Software Status new => assigned
2015-12-02 13:16 BCP Software Assigned To => BCP Software
2015-12-04 21:18 BCP Software Note Added: 0000486
2016-04-26 18:38 BCP Software Target Version 9.0 => 8.8.1
2016-04-27 11:27 BCP Software Note Added: 0000556
2016-04-27 11:27 BCP Software Note Edited: 0000556 View Revisions
2016-04-27 11:38 BCP Software Note Edited: 0000556 View Revisions
2016-04-27 11:42 BCP Software Note Added: 0000557
2016-04-27 11:42 BCP Software Status assigned => resolved
2016-04-27 11:42 BCP Software Fixed in Version => 8.8.1
2016-04-27 11:42 BCP Software Resolution open => fixed